Upgrade to latest snapshot failing



  • Current version: 2.3-ALPHA (amd64)
    built on Wed Dec 23 05:35:02 CST 2015
    FreeBSD 10.2-STABLE

    Option 13:
    pkg: No packages installed
    pkg: No packages installed
    ERROR: It was not possible to identify which pfSense kernel is installed

    From the GUI: Checking integrity… done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense: 2.3.a.20151222.0703 -> 2.3.a.20151223.1425 [pfSense]
    [1/1] Upgrading pfSense from 2.3.a.20151222.0703 to 2.3.a.20151223.1425…

    Removing unnecessary packages... done.
    Cleanup pkg cache... done.
    Locking package pfSense-kernel-pfSense... done.
    Success
    ERROR: It was not possible to identify which pfSense kernel is installed
    Failed
    ERROR: It was not possible to identify which pfSense kernel is installed
    Failed

    pkg info: pfSense-2.3.a.20151223.1425    Meta package to install pfSense required ports
    pfSense-base-2.3.a.20151223.0535 pfSense core files
    pfSense-default-config-2.3.a.20151223.0535 pfSense default config
    pfSense-kernel-pfSense-2.3.a.20151223.0535 pfSense kernel
    pfSense-rc-2.3.a.20151223.0535 pfSense rc script
    pfSense-repo-devel-2.3.a.20151223.0535 pfSense pkg repository configuration (devel)



  • After digging a bit, I'm thinking maybe it's this bug:
    https://redmine.pfsense.org/issues/5493



  • me too. I sung TF card 32G full installed.

    https://forum.pfsense.org/index.php?topic=104532.0



  • That was definitely my issue.  Disabled the ramdisk and was able to upgrade like normal.


Log in to reply